{
    config,
    pkgs,
    ...
}:
{
    boot.loader.grub.enable = true;

    boot.loader.grub.efiSupport = true;
    # location at install time. Since the drive is a USB drive this is expcected to change on each device
    boot.loader.grub.device = "/dev/sdb";
    boot.loader.grub.efiInstallAsRemovable = true;
    boot.loader.systemd-boot.enable = false;

    boot.loader.efi.canTouchEfiVariables = false;
    boot.tmp.useTmpfs = true;
}
